com.sun.jdi.event

## Interface ClassUnloadEvent

- All Superinterfaces:
    Event, Mirror

      public interface ClassUnloadEvent
      extends Event

  Notification of a class unload in the target VM.

  There are severe constraints on the debugger back-end during garbage collection, so unload information is greatly limited.

  Since:
    1.3
  See Also:
    `EventQueue`, `VirtualMachine`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `className()` Returns the name of the class that has been unloaded.
    `String` | `classSignature()` Returns the JNI-style signature of the class that has been unloaded.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

- - ### Method Detail

    - #### className

          String className()

      Returns the name of the class that has been unloaded.

    - #### classSignature

          String classSignature()

      Returns the JNI-style signature of the class that has been unloaded.

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.